Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: form view helper produces invalid XHTML output
Description

By default the form view helper inserts hidden fields for referrer & hmac to the generated form at the very top.
I just found out, that this is not XHTML compliant as In XHTML 1.0 Strict mode all inputs have to be put in a block element.

I'd suggest to wrap the auto-generated hidden fields by

<div style="display: none"></div>

Related issues:
related to TYPO3.Fluid - Task # 6521: form ViewHelper: add "objectName" argum... Resolved 2010-02-19

Associated revisions
Revision dadfec9c - 2010-07-19 21:39 - Bastian Waidelich

[+BUGFIX] Fluid (ViewHelpers): FormViewHelper wraps hidden fields with a div tag to create XHTML valid output. This fixes #5512

History
#1 - 2009-11-26 15:13 - Bastian Waidelich
- File 5512_form_view_helper_produces_invalid_XHTML_output.patch added
- Assigned To set to Sebastian Kurfuerst

@Sebastian: could you please verify the attached patch and commit if ok?

#2 - 2009-11-26 15:37 - Bastian Waidelich
- File 5512_form_view_helper_produces_invalid_XHTML_output_v2.patch added

new version with tweaked output (new lines)

#3 - 2009-11-26 15:39 - Bastian Waidelich

Mh.. another XHTML compatibility issue:
in XHTML 1.0 Strict it's not allowed to set the "name" attribute of the form tag. The problem is: Fluid relies on the name attribute..

#4 - 2009-12-16 14:16 - Thomas Deinhamer
I'd use a fieldset element instead of a div element,
seems to me more "native".

#5 - 2010-03-15 16:29 - Sebastian Kurfuerst
- Status changed from New to Needs Feedback
- Assigned To deleted (Sebastian Kurfuerst)
- Priority changed from Must have to Could have

We need to discuss this issue, as I somehow have a bad gut feeling when the <f:form> adds markup like "div".

#6 - 2010-03-16 12:45 - Bastian Waidelich
- Assigned To set to Sebastian Kurfuerst

Sebastian Kurfuerst wrote:

I somehow have a bad gut feeling when the <f:form> adds markup like "div".

I don't know.. It already does add additional HTML, which I don't really like. But there is no way around that yet* - so at least they should be added in a
(X)HTML compliant way in my opinion.

btw: I'm reassigning this to you so you get notified ;)

    -  In FLOW3 there will be a request stack that might make this "hidden field magic" unnecessary. Do you remember if something like this planned too
for extbase?

#7 - 2010-06-18 10:12 - Sebastian Kurfuerst
- Assigned To deleted (Sebastian Kurfuerst)

#8 - 2010-07-19 10:42 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

#9 - 2010-07-19 21:45 - Bastian Waidelich
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset r4872.

Files
5512_form_view_helper_produces_invalid_XHTML_output.patch 2.8 kB 2009-11-26 Bastian Waidelich
5512_form_view_helper_produces_invalid_XHTML_output_v2.patch 2.8 kB 2009-11-26 Bastian Waidelich
